package initialize

import (
	"github.com/caarlos0/env/v8"
	"github.com/joho/godotenv"
	"log"
)

type Config struct {
	ClientHttpURL      string `env:"CLIENT_HTTP_URL" envDefault:"0.0.0.0:8001"`
	PostgresURL        string `env:"POSTGRES_URL" envDefault:"host=localhost port=35432 user=squiz password=Redalert2 dbname=squiz sslmode=disable"`
	KafkaBrokers       string `env:"KAFKA_BROKERS" envDefault:"localhost:9092"`
	KafkaTopicQueueAmo string `env:"KAFKA_TOPIC_QUEUE_AMO" envDefault:"test-topic"`
	KafkaGroup         string `env:"KAFKA_GROUP" envDefault:"amoCRM"`
	RedisHost          string `env:"REDIS_HOST" envDefault:"localhost:6379"`
	RedisPassword      string `env:"REDIS_PASSWORD" envDefault:"admin"`
	RedisDB            int    `env:"REDIS_DB" envDefault:"2"`
	// урл в соц аус сервисе для генерации ссылки для авторизации в амо
	PenaSocialAuthMicroserviceURL string `env:"PENA_SOCIAL_AUTH_MICROSERVICE_URL" envDefault:"http://localhost:8000/amocrm/auth"`
	// урл на который будет возвращен пользователь после авторизации это webhook/create get
	OauthReturnURL string `env:"OAUTH_RETURN_URL" envDefault:"https://squiz.pena.digital/squiz/amocrm/oauth"`
	// id интеграции
	AmoIntegrationID string `env:"AMO_INTEGRATION_ID" envDefault:"2dbd6329-9be6-41f2-aa5f-964b9e723e49"`
	// секрет интеграции
	AmoIntegrationSecret        string `env:"AMO_INTEGRATION_SECRET" envDefault:"tNK3LwL4ovP0OBK4jKDHJ3646PqRJDOKQYgY6P2t6DCuV8LEzDzszTDY0Fhwmzc8"`
	QuizIntegrationsRedirectURL string `env:"QUIZ_INTEGRATIONS_REDIRECT_URL" envDefault:"https://squiz.pena.digital/integrations"`
}

func LoadConfig() (*Config, error) {
	if err := godotenv.Load(); err != nil {
		log.Print("No .env file found")
	}
	var config Config
	if err := env.Parse(&config); err != nil {
		return nil, err
	}
	return &config, nil
}
