package models

type PipelineResponse struct {
	TotalItems int `json:"_total_items"`
	Links      struct {
		Self struct {
			Href string `json:"href"`
		} `json:"self"`
	} `json:"_links"`
	Embedded struct {
		Pipelines []Pipeline `json:"pipelines"`
	} `json:"_embedded"`
}

type Pipeline struct {
	ID           int    `json:"id"`
	Name         string `json:"name"`
	Sort         int    `json:"sort"`
	IsMain       bool   `json:"is_main"`
	IsUnsortedOn bool   `json:"is_unsorted_on"`
	IsArchive    bool   `json:"is_archive"`
	AccountID    int    `json:"account_id"`
	Links        struct {
		Self struct {
			Href string `json:"href"`
		} `json:"self"`
	} `json:"_links"`
	Embedded struct {
		Statuses []Status `json:"statuses"`
	} `json:"_embedded"`
}

type Status struct {
	ID         int    `json:"id"`
	Name       string `json:"name"`
	Sort       int    `json:"sort"`
	IsEditable bool   `json:"is_editable"`
	PipelineID int    `json:"pipeline_id"`
	Color      string `json:"color"`
	Type       int    `json:"type"`
	AccountID  int    `json:"account_id"`
	Links      struct {
		Self struct {
			Href string `json:"href"`
		} `json:"self"`
	} `json:"_links"`
}
