package models

import "penahub.gitlab.yandexcloud.net/backend/quiz/common.git/model"

type KafkaMessage struct {
	AccountID  string
	AuthCode   string
	RefererURL string
	Type       MessageType
	Rule       KafkaRule
}

type KafkaRule struct {
	QuizID      int32
	PerformerID int32 // айдишник ответственного за сделку
	PipelineID  int32 // айдишник воронки
	StepID      int32 // айдишник этапа
	Fieldsrule  model.Fieldsrule
}

type MessageType string

const (
	UsersUpdate     MessageType = "users"
	PipelinesUpdate MessageType = "pipelines"
	FieldsUpdate    MessageType = "fields"
	TagsUpdate      MessageType = "tags"
	UserCreate      MessageType = "userCreate"
	AllDataUpdate   MessageType = "allDataUpdate"
	RuleCheck       MessageType = "ruleCheck"
	UserReLogin     MessageType = "userReLogin"
)
